
Ceph - Bug #12402

get pools health'info have error

07/20/2015 02:27 AM - huanwen ren

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Community (user) Affected Versions: v0.94

Tags:  ceph-qa-suite:  

Backport: firefly, hammer Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

file:OSDMonitor.cc

function:  void OSDMonitor::get_pools_health(

list<pair<health_status_t,string> >& summary,

list<pair<health_status_t,string> > *detail) const

describe:

......

} else if (crit_threshold > 0 &&

sum.num_bytes >= pool.quota_max_bytes*crit_threshold) {

ss << "pool '" << pool_name

<< "' has " << si_t(sum.num_bytes) << " bytes"

<< " (max " << si_t(pool.quota_max_bytes) << ")";

status = HEALTH_ERR;

} else if (warn_threshold > 0 &&

sum.num_bytes >= pool.quota_max_bytes*warn_threshold) {

ss << "pool '" << pool_name

<< "' has " << si_t(sum.num_bytes) << " objects"

<< " (max " << si_t(pool.quota_max_bytes) << ")";

status = HEALTH_WARN;

}

......

I think the "objects" replaced by "bytes"?

Related issues:

Copied to Ceph - Backport #12497: get pools health'info have error Resolved 07/20/2015

Copied to Ceph - Backport #12498: get pools health'info have error Resolved 07/20/2015

Associated revisions

Revision 7fc13c9d - 07/21/2015 10:55 AM - renhwztetecs 

Update OSDMonitor.cc

OSDMonitor::get_pools_health(), s/objects/bytes/

Fixes: #12402

Signed-off-by: ren.huanwen@zte.com.cn

Revision 4457d3eb - 07/28/2015 12:51 PM - renhwztetecs 
mailto:ren.huanwen@zte.com.cn


Update OSDMonitor.cc

OSDMonitor::get_pools_health(), s/objects/bytes/

Fixes: #12402

Signed-off-by: ren.huanwen@zte.com.cn

(cherry picked from commit 7fc13c9d6b9a4962d7640240416105d8f558d600)

Revision 31ff7d14 - 07/29/2015 06:15 PM - renhwztetecs 

Update OSDMonitor.cc

OSDMonitor::get_pools_health(), s/objects/bytes/

Fixes: #12402

Signed-off-by: ren.huanwen@zte.com.cn

(cherry picked from commit 7fc13c9d6b9a4962d7640240416105d8f558d600)

History

#1 - 07/20/2015 03:28 AM - huang jun

yes, it's a wrong hints, you can send a pull request in github, or send a patch in mailinglist.

#2 - 07/20/2015 01:50 PM - Kefu Chai

- Status changed from New to Fix Under Review

- Priority changed from High to Normal

https://github.com/ceph/ceph/pull/5302

#3 - 07/21/2015 01:31 PM - Kefu Chai

- Status changed from Fix Under Review to Pending Backport

- Backport set to firefly, hammer

#4 - 09/09/2015 04:05 AM - Nathan Cutler

- Status changed from Pending Backport to Resolved

Files

OSDMonitor.cc 217 KB 07/20/2015 huanwen ren

errors.jpg 96.3 KB 07/20/2015 huanwen ren
